/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.payroll.dto;

import jp.mosp.common.common.BaseDto;

/**
 * M_KINTAIKINMU(勤怠勤務別集計)のDTOクラス。
 */
public class MKintaiKinmuDto extends BaseDto {
	
	private static final long	serialVersionUID	= 3115468966868261668L;
	
	// フィールド
	private String				kcode				= "";					//社員コード
	private String				sikyuym				= "";					//支給年月
	private String				kinmu				= "";					//勤務形態
	private double				snissu				= 0;					//出勤日数
	private int					zajikan				= 0;					//普通残業時間
	private int					szjikan				= 0;					//深夜残業時間
	private int					hsjikan				= 0;					//法定休日出勤時間
	private int					tsjikan				= 0;					//特別出勤時間
	private int					syokuji				= 0;					//食事手当支給
	private int					cyoku1				= 0;					//1直手当支給
	private int					cyoku2				= 0;					//2直手当支給
	private int					cyoku3				= 0;					//3直手当支給
	private int					hoka1				= 0;					//その他支給1
	private int					hoka2				= 0;					//その他支給2
	private int					hoka3				= 0;					//その他支給3
	private int					hoka4				= 0;					//その他支給4
	private int					hoka5				= 0;					//その他支給5
																			
	
	/**
	 * コンストラクタ
	 */
	public MKintaiKinmuDto() {
		super();
	}
	
	// アクセサメソッド
	/**
	 * @return kcode 	社員コード。
	 */
	public String getKCode() {
		return kcode;
	}
	
	/**
	 * @return sikyuym 	支給年月。
	 */
	public String getSikyuYM() {
		return sikyuym;
	}
	
	/**
	 * @return kinmu 	勤務形態。
	 */
	public String getKinmu() {
		return kinmu;
	}
	
	/**
	 * @return snissu 	出勤日数。
	 */
	public double getSNissu() {
		return snissu;
	}
	
	/**
	 * @return zajikan 	普通残業時間。
	 */
	public int getZaJikan() {
		return zajikan;
	}
	
	/**
	 * @return szjikan 	深夜残業時間。
	 */
	public int getSZJikan() {
		return szjikan;
	}
	
	/**
	 * @return hsjikan 	法定休日出勤時間。
	 */
	public int getHSJikan() {
		return hsjikan;
	}
	
	/**
	 * @return tsjikan 	特別出勤時間。
	 */
	public int getTSJikan() {
		return tsjikan;
	}
	
	/**
	 * @return syokuji 	食事手当支給。
	 */
	public int getSyokuji() {
		return syokuji;
	}
	
	/**
	 * @return cyoku1 	1直手当支給。
	 */
	public int getCyoku1() {
		return cyoku1;
	}
	
	/**
	 * @return cyoku2 	2直手当支給。
	 */
	public int getCyoku2() {
		return cyoku2;
	}
	
	/**
	 * @return cyoku3 	3直手当支給。
	 */
	public int getCyoku3() {
		return cyoku3;
	}
	
	/**
	 * @return hoka1 	その他支給1。
	 */
	public int getHoka1() {
		return hoka1;
	}
	
	/**
	 * @return hoka2 	その他支給2。
	 */
	public int getHoka2() {
		return hoka2;
	}
	
	/**
	 * @return hoka3 	その他支給3。
	 */
	public int getHoka3() {
		return hoka3;
	}
	
	/**
	 * @return hoka4 	その他支給4。
	 */
	public int getHoka4() {
		return hoka4;
	}
	
	/**
	 * @return hoka5 	その他支給5。
	 */
	public int getHoka5() {
		return hoka5;
	}
	
	/**
	 * @param kcode 	セットする社員コード。
	 */
	public void setKCode(String kcode) {
		this.kcode = kcode;
	}
	
	/**
	 * @param sikyuym 	セットする支給年月。
	 */
	public void setSikyuYM(String sikyuym) {
		this.sikyuym = sikyuym;
	}
	
	/**
	 * @param kinmu 	セットする勤務形態。
	 */
	public void setKinmu(String kinmu) {
		this.kinmu = kinmu;
	}
	
	/**
	 * @param snissu 	セットする出勤日数。
	 */
	public void setSNissu(double snissu) {
		this.snissu = snissu;
	}
	
	/**
	 * @param zajikan 	セットする普通残業時間。
	 */
	public void setZaJikan(int zajikan) {
		this.zajikan = zajikan;
	}
	
	/**
	 * @param szjikan 	セットする深夜残業時間。
	 */
	public void setSZJikan(int szjikan) {
		this.szjikan = szjikan;
	}
	
	/**
	 * @param hsjikan 	セットする法定休日出勤時間。
	 */
	public void setHSJikan(int hsjikan) {
		this.hsjikan = hsjikan;
	}
	
	/**
	 * @param tsjikan 	セットする特別出勤時間。
	 */
	public void setTSJikan(int tsjikan) {
		this.tsjikan = tsjikan;
	}
	
	/**
	 * @param syokuji 	セットする食事手当支給。
	 */
	public void setSyokuji(int syokuji) {
		this.syokuji = syokuji;
	}
	
	/**
	 * @param cyoku1 	セットする1直手当支給。
	 */
	public void setCyoku1(int cyoku1) {
		this.cyoku1 = cyoku1;
	}
	
	/**
	 * @param cyoku2 	セットする2直手当支給。
	 */
	public void setCyoku2(int cyoku2) {
		this.cyoku2 = cyoku2;
	}
	
	/**
	 * @param cyoku3 	セットする3直手当支給。
	 */
	public void setCyoku3(int cyoku3) {
		this.cyoku3 = cyoku3;
	}
	
	/**
	 * @param hoka1 	セットするその他支給1。
	 */
	public void setHoka1(int hoka1) {
		this.hoka1 = hoka1;
	}
	
	/**
	 * @param hoka2 	セットするその他支給2。
	 */
	public void setHoka2(int hoka2) {
		this.hoka2 = hoka2;
	}
	
	/**
	 * @param hoka3 	セットするその他支給3。
	 */
	public void setHoka3(int hoka3) {
		this.hoka3 = hoka3;
	}
	
	/**
	 * @param hoka4 	セットするその他支給4。
	 */
	public void setHoka4(int hoka4) {
		this.hoka4 = hoka4;
	}
	
	/**
	 * @param hoka5 	セットするその他支給5。
	 */
	public void setHoka5(int hoka5) {
		this.hoka5 = hoka5;
	}
	
}
